var officialArticle = {};

function startsWith(s1, s2) {
  return (s1.length >= s2.length && s1.substr(0, s2.length) == s2);
}

officialArticle.getLastImgSrc = function(){
    var find = false;
    var content = document.getElementsByClassName('rich_media_content');
    if (content.length > 0) {
        imgs = content[0].getElementsByTagName('img');
        for(var i = imgs.length - 1;i >= 0;i--) {
            var img = imgs[i];
            var src = img.getAttribute('src');

            if(src && (startsWith(src,'http') || startsWith(src,'https'))){
                find = true;
                wereadBridge.handleWithRichEditor("lastImg",{"param" : src}, "", "");
                break;
            }
            var data_src = img.getAttribute('data-src');
                if(data_src && (startsWith(data_src,'http') || startsWith(data_src,'https'))){
                find = true;
                wereadBridge.handleWithRichEditor("lastImg",{"param" : data_src}, "", "");
                break;
            }
        }
    }
}

officialArticle.showImage=function(){
    var allImgs = document.querySelectorAll('img');
    for(var i = 0;i < allImgs.length; i++){
        var img = allImgs[i];
        if(img.getAttribute('data-src')){
            img.setAttribute('src',img.getAttribute('data-src'));
        }
    }
}

officialArticle.removeLastImg = function(){
    var content = document.getElementsByClassName('rich_media_content');
    if (content.length > 0) {
        var imgs = content[0].getElementsByTagName('img');
        for(var i = imgs.length - 1;i >= 0;i--){
             var img = imgs[i];
             var src = img.getAttribute('src');
             if(src && (startsWith(src,'http') || startsWith(src,'https'))){
                 img.parentNode.removeChild(img);
                 break;
             }
             var data_src = img.getAttribute('data-src');
             if(data_src && (startsWith(data_src,'http') || startsWith(data_src,'https'))){
                 img.parentNode.removeChild(img);
                 break;
             }
        }
    }
}

function startsWith(s1, s2) {
  return (s1.length >= s2.length && s1.substr(0, s2.length) == s2);
}

officialArticle.getLastImgSrc();
var onLoad = window.onload;
window.onload = function(){
    if(onLoad && typeof onLoad == 'function'){
        onLoad();
    }
    wereadBridge.handleWithRichEditor("initFinish",{"param":""},"","");
}